%global framework kactivities-stats

Name:           kf5-%{framework}
Summary:        A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system
Version:        5.22.0
Release:        1%{?dist}

# KDE e.V. may determine that future GPL versions are accepted
License:        LGPLv2 or LGPLv3
URL:            https://quickgit.kde.org/?p=%{framework}.git

%global versiondir %(echo %{version} | cut -d. -f1-2)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/frameworks/%{versiondir}/%{framework}-%{version}.tar.xz

BuildRequires:  boost-devel
BuildRequires:  extra-cmake-modules >= %{version}
BuildRequires:  kf5-kactivities-devel >= %{version}
BuildRequires:  kf5-kconfig-devel >= %{version}
BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig
BuildRequires:  qt5-qtdeclarative-devel

Requires: kf5-filesystem

%description
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel
%description devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DBUILD_TESTING=ON
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


# Currently includes no tests
%check
make test -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc MAINTAINER README.developers TODO
%license COPYING*
%{_kf5_libdir}/libKF5ActivitiesStats.so.*

%files devel
%{_kf5_libdir}/libKF5ActivitiesStats.so
%{_kf5_includedir}/KActivitiesStats/
%{_kf5_includedir}/kactivitiesstats_version.h
%{_kf5_libdir}/cmake/KF5ActivitiesStats/
%{_kf5_libdir}/pkgconfig/libKActivitiesStats.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_KActivitiesStats.pri


%changelog
* Tue May 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.22.0-1
- 5.22.0

* Sat Apr 16 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.21.0-2
- add %%check section (mostly nothing right now)
- fix summary
- more %%doc's
- Requires: kf5-filesystem
- -devel: Requires: qt5-qtbase-devel

* Mon Apr 04 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.21.0-1
- kactivities-stats-5.21.0

